<?php
// +----------------------------------------------------------------------
// | 新增分类
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Banner;

use app\common\controller\_Admin;
use app\admin\model\BannerType as Type;

class type_insert extends _Admin
{

    // 默认留空即可
    protected function initialize()
    {
        parent::initialize();
    }

    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    public function run($param=[]) {
        if (\think\facade\Request::isAjax()) {
            return $this->insert($param);
        }

        return $this->fetch('banner/type_insert');
    }
    
    // 新增
    private function insert($param=[]) {
        $vif = $this->_where($param);
        if ($vif !== true) return $vif;

        $res = Type::create($param);
        if ($res != false) {
            return $this->_json('00', '新增成功！');
        }

        return $this->_json('01', '新增失败！');
    }

    // 新增条件过滤
    private function _where($param=[]) {
        if (!self::isset_empty($param, 'title')) return $this->_json('01', '请输入分类名称');

        return true;
    }

}
