<?php
// +----------------------------------------------------------------------
// | 轮播分类
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Banner;

use app\common\controller\_Admin;
use app\admin\model\BannerType as Type;

class type_list extends _Admin
{
   
    // 默认留空即可
    protected function initialize()
    {
        parent::initialize();
    }

    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    public function run($param=[]) {
        if (\think\facade\Request::isAjax()) {
            return $this->showlist($param);
        }
        return $this->fetch('banner/type_list');
    }

    // 列表
    private function showlist($param=[]) {
        $list = Type::order('sort DESC, id DESC')->all();
        $count = count($list);
        return self::_list('0', '', $count, $list);
    }

}
