<?php
// +----------------------------------------------------------------------
// | 修改状态
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\News;

use app\common\controller\_Admin;
use app\admin\model\News;

class status extends _Admin
{

    // 默认留空即可
    protected function initialize()
    {
        parent::initialize();
    }

    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    public function run($param=[]) {
        if (\think\facade\Request::isAjax()) {
            return $this->update($param);
        }
    }
    
    // 修改
    private function update($param=[]) {

        $res = News::update($param);
        if ($res != false) {
            return $this->_json('00', '状态变更成功！');
        }

        return $this->_json('01', '状态变更失败！');
    }
}
