<?php
// +----------------------------------------------------------------------
// | 删除分类
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\News;

use app\common\controller\_Admin;
use app\admin\model\NewsType as Type;
use app\admin\model\News;


class type_delete extends _Admin
{

    // 默认留空即可
    protected function initialize()
    {
        parent::initialize();
    }

    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    public function run($param=[]) {
        return $this->delete($param);
    }
    
    // 删除菜单
    private function delete($param=[]) {
        $num = count($param['id']);
        $i   = 0;
        foreach ($param['id'] as  $key=>$val) {
            $res = Type::destroy($val['id']);
            if ($res != false) {
                News::where('type_id', $val['id'])->delete();
                $i++;
            }
        }
        
        return $this->_json('00', "共：{$num}条数据，成功删除：{$i}条！");
    }

}
