<?php
// +----------------------------------------------------------------------
// | 雷雨科技(车险)短信发送
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace sms;

class Leiyu {
    // 配置文件
    private $config = [];

    public function __construct($config) {
        $this->config = $config;
    }

    /**
     * 调用发送接口
     * @todo 无
     * @author 小黄牛
     * @version v1.0.0.1 + 2018.10.09
     * @deprecated 暂不弃用
     * @global 无
     * @param string $phone 接收短信手机号集合,多个用逗号分隔
     * @param mixed $param 短信内容
     * @return string|bool
    */
    public function run($phone, $param) {
        # 请求地址
        $ApiUrl  = 'http://sdk.entinfo.cn:8061/webservice.asmx/mdsmssend?';
        $content = urlencode($this->config['leiyu_sign'].$param);
        $ApiUrl .= 'sn='.$this->config['leiyu_sn'].'&pwd='.$this->config['leiyu_pwd'].'&mobile='.$phone.'&content='.$content.'&ext=&stime=&rrid=&msgfmt=';;
        $string = file_get_contents($ApiUrl);
        $string = (array)simplexml_load_string($string);

        if($string[0] > 0){
            return true;
        }

        return $string[0];
    }
}