<?php
// +----------------------------------------------------------------------
// | 企业宝(聚城)短信发送
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace sms;

class Qiyebao {
    // 配置文件
    private $config = [];

    public function __construct($config) {
        $this->config = $config;
    }

    /**
     * 万能CURL函数
     * @todo 无
     * @author 小黄牛
     * @version v1.0.0.1 + 2018.10.09
     * @deprecated 暂不弃用
     * @global 无
     * @param string $url 请求地址
     * @param array $data 请求内容
     * @return void
    */
    private function https_request($url, $data = null){
        $ch = curl_init();
        curl_setopt ($ch, CURLOPT_URL, $url);
        curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt ($ch, CURLOPT_CONNECTTIMEOUT,30);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
        $response = curl_exec($ch);
        curl_close($ch);
        return $response;
    }

    /**
     * 调用发送接口
     * @todo 无
     * @author 小黄牛
     * @version v1.0.0.1 + 2018.10.09
     * @deprecated 暂不弃用
     * @global 无
     * @param string $phone 接收短信手机号集合,多个用逗号分隔
     * @param mixed $param 短信内容
     * @return string|bool
    */
    public function run($phone, $param) {
        # 请求地址
        $ApiUrl = 'http://www.qybor.com:8500/shortMessage';
        $needstatus = true;
        $data = "username=".$this->config['qyb_username']."&passwd=".$this->config['qyb_passwd']."&phone=".$phone."&msg=".urlencode($param)."&needstatus=".$needstatus."&port=&sendtime=";
        $res  = $this->https_request($ApiUrl, $data);

        $array = json_decode($res, true);
        if ($array['respcode'] == 0) {
            return true;
        }

        return $array['respcode'].'-MSG:'.$array['respdesc'];
    }
}