<?php
// +----------------------------------------------------------------------
// | 创蓝云短信发送
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace sms;

class Lan {
    // 配置文件
    private $config = [];

    public function __construct($config) {
        $this->config = $config;
    }

    /**
     * 万能CURL函数
     * @todo 无
     * @author 小黄牛
     * @version v1.0.0.1 + 2018.10.09
     * @deprecated 暂不弃用
     * @global 无
     * @param string $url 请求地址
     * @param array $data 请求内容
     * @return void
    */
    private function https_request($url, $data = null){
        $curl = curl_init();  
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, 0);
        curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, 0);
        curl_setopt($curl, CURLOPT_POST, 1);
        curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);  
        curl_setopt($curl, CURLOPT_HTTPHEADER, [
            'Content-Type: application/json; charset=utf-8'
        ]); 

        $response = curl_exec($curl);
        curl_close($curl);
        return $response;
    }

    /**
     * 调用发送接口
     * @todo 无
     * @author 小黄牛
     * @version v1.0.0.1 + 2018.10.09
     * @deprecated 暂不弃用
     * @global 无
     * @param string $phone 接收短信手机号集合,多个用逗号分隔
     * @param mixed $param 短信内容
     * @return string|bool
    */
    public function run($phone, $param) {
        # 请求地址
        $ApiUrl = 'http://smssh1.253.com/msg/send/json';
        $rand = rand(100, 999);
        $data = json_encode([
            'account'  => $this->config['cly_account'],
            'password' => $this->config['cly_password'],
            'msg'      => urlencode($param),
            'phone'    => $phone,
            'report'   => 'true',
            'extend'   => $rand,
        ]);
        
        $res = $this->https_request($ApiUrl, $data);

        $array = json_decode($res, true);
        if ($array['code'] == 0) {
            return true;
        }

        return $array['code'].'-MSG:'.$array['errorMsg'];
    }
}